Quest Bot 3.00 BETA - Bug #1785

Quest Bot Create Mode
2017-01-20 07:33 PM - loopy

Status: Implemented
Priority: Normal
Assignee:

Category:

Target version:

vbulletin_issue_id:

Description

When trying to use the option to test task steps errors are produced in the console.

_iCreateMode_MaxActiveTaskStep: 4
21:27:38: [Buffer:QuestBotMain]: QUEST BOT ERROR: The task file you have loaded appears to be empty. Please try again...
21:27:38: [Buffer:QuestBotMain]: Quest Bot Main Script is shutting down...

History

#1 - 2017-01-22 10:06 AM - bjcasey

- Status changed from New to Feedback Required

Does this happen every time? How do you reproduce it? | have tried and it works for me.

#2 - 2017-01-22 10:24 AM - bjcasey
- Project changed from BJScripts to Quest Bot 3.00 BETA

#3 - 2017-02-05 10:50 AM - loopy

Yes this happens everytime, on several different PCs, | reproduce it by trying to test a quest step in create mode.

#4 - 2017-02-06 03:38 AM - bjcasey

- Status changed from Feedback Required to In Progress

The issue was the square brackets he was using in his name [ ] for the task file name. It caused the task file name to fail.

Either you can't use [, ] or | try to escape better.

#5 - 2017-02-10 07:44 PM - bjcasey

- Status changed from In Progress to Deferred

#6 - 2017-02-22 05:51 PM - bjcasey

- Status changed from Deferred to Accepted

#7 - 2017-02-22 05:53 PM - bjcasey

- Status changed from Accepted to Implemented

You can't use square brackets in the task file name.
